activemq-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robbie Gemmell (JIRA)" <j...@apache.org>
Subject [jira] [Created] (ARTEMIS-1500) make netty dependency usage consistent
Date Fri, 03 Nov 2017 12:38:00 GMT
Robbie Gemmell created ARTEMIS-1500:
---------------------------------------

             Summary: make netty dependency usage consistent
                 Key: ARTEMIS-1500
                 URL: https://issues.apache.org/jira/browse/ARTEMIS-1500
             Project: ActiveMQ Artemis
          Issue Type: Improvement
    Affects Versions: 2.4.0
            Reporter: Robbie Gemmell
            Priority: Minor


In ARTEMIS-1477 the clients were made to depend on the specific netty-<foo> modules
they need rather than netty-all. As a result the server module now depends on both netty-all
and transitively on various netty-<foo> modules (e.g see snippet from dependency:tree
output below). The binary distribution only includes netty-all.

Perhaps the server module should change to use only the netty-<foo> modules it needs
and then only the relevant set be included in the distribution, or else maybe the transitive
dependencies should be excluded if it continues using netty all. I'd go with the former personally.

{noformat}
[INFO] --- maven-dependency-plugin:2.10:tree (default-cli) @ artemis-server ---
[INFO] org.apache.activemq:artemis-server:jar:2.5.0-SNAPSHOT
...etc...
[INFO] +- org.apache.activemq:artemis-commons:jar:2.5.0-SNAPSHOT:compile
[INFO] |  +- io.netty:netty-buffer:jar:4.1.16.Final:compile
[INFO] |  |  \- io.netty:netty-common:jar:4.1.16.Final:compile
[INFO] |  +- io.netty:netty-transport:jar:4.1.16.Final:compile
[INFO] |  |  \- io.netty:netty-resolver:jar:4.1.16.Final:compile
[INFO] |  +- io.netty:netty-handler:jar:4.1.16.Final:compile
[INFO] |  |  \- io.netty:netty-codec:jar:4.1.16.Final:compile
[INFO] |  +- commons-beanutils:commons-beanutils:jar:1.9.3:compile
[INFO] |  |  +- commons-logging:commons-logging:jar:1.2:compile
[INFO] |  |  \- commons-collections:commons-collections:jar:3.2.2:compile
[INFO] |  \- com.google.guava:guava:jar:19.0:compile
...etc...
[INFO] +- org.apache.activemq:artemis-core-client:jar:2.5.0-SNAPSHOT:compile
[INFO] |  +- org.jgroups:jgroups:jar:3.6.13.Final:compile
[INFO] |  +- org.apache.geronimo.specs:geronimo-json_1.0_spec:jar:1.0-alpha-1:compile
[INFO] |  +- org.apache.johnzon:johnzon-core:jar:0.9.5:compile
[INFO] |  +- io.netty:netty-transport-native-epoll:jar:linux-x86_64:4.1.16.Final:compile
[INFO] |  |  \- io.netty:netty-transport-native-unix-common:jar:4.1.16.Final:compile
[INFO] |  +- io.netty:netty-transport-native-kqueue:jar:osx-x86_64:4.1.16.Final:compile
[INFO] |  \- io.netty:netty-codec-http:jar:4.1.16.Final:compile
...etc...
[INFO] +- io.netty:netty-all:jar:4.1.16.Final:compile
...etc...
{noformat}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message